<template>
  <DSDialog
    v-model="show"
    width="1200"
    @close="handleClose"
    class="settings-dialog ds-dialog"
    title="光源"
  >
    <div>1111</div>
  </DSDialog>
</template>
<script setup lang="tsx">
import { DSDialog } from '@/components/Dialog'
defineOptions({
  name: 'FlowLightNodeModel'
})
interface Props {
  /** 弹窗显隐 */
  value: boolean
  // info?: Record<string, any>
}
interface Emits {
  (e: 'update:value', val: boolean): void
}
const props = withDefaults(defineProps<Props>(), {
  value: false
})
const emit = defineEmits<Emits>()

// 处理对话框关闭事件
const handleClose = () => {
  // emits('close');
}

const show = computed({
  get() {
    return props.value
  },
  set(val: boolean) {
    emit('update:value', val)
  }
})
</script>
